Users

View a teammate

View a teammate.

GET
/settings/users/{user_id}

View a teammate.

Authorization

bearerToken
AuthorizationBearer <token>

Personal access tokens created from the ThriveDesk UI. Create one under Integrations -> API Keys.

In: header

Path Parameters

user_id*string

Teammate identifier.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/settings/users/string"
{  "data": {    "id": "string",    "name": "string",    "first_name": "string",    "last_name": "string",    "email": "[email protected]",    "phone": "string",    "job_title": "string",    "avatar": "http://example.com",    "role": "Account Owner",    "presence": "online",    "timezone": "string",    "time_format": "string",    "active_organization_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "extra": {      "password_reset_required": true,      "notification_preferences": {},      "firebase_notification_preferences": {},      "mobile_notification_preferences": {},      "auto_advance_ticket_enabled": true,      "undo_send_enabled": true,      "undo_send_delay": 0    }  }}